Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class _PrimitiveDefStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA._PrimitiveDefStub

All Implemented Interfaces:
  IDLEntity, IDLType, IDLTypeOperations, IRObject, IRObjectOperations, Object, PrimitiveDef, PrimitiveDefOperations, java.io.Serializable

public class _PrimitiveDefStub
extends ObjectImpl
implements PrimitiveDef

A PrimitiveDef represents one of the OMG IDL primitive types. As primitive types are unnamed, this interface is not derived from TypedefDef or Contained.

See Also:
  Serialized Form

Constructor Summary
`_PrimitiveDefStub()`

Method Summary
`java.lang.String[]` | `_ids()`
`DefinitionKind` | `def_kind()` Read accessor for def_kind attribute
`void` | `destroy()` Operation destroy
`PrimitiveKind` | `kind()` Read accessor for kind attribute
`TypeCode` | `type()` Read accessor for type attribute

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _PrimitiveDefStub

    public _PrimitiveDefStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `ObjectImpl`

### kind

    public PrimitiveKind kind()

  Read accessor for kind attribute
  Specified by:
    `kind` in interface `PrimitiveDefOperations`
  Returns:
    the attribute value

### type

    public TypeCode type()

  Read accessor for type attribute
  Specified by:
    `type` in interface `IDLTypeOperations`
  Returns:
    the attribute value

### def_kind

    public DefinitionKind def_kind()

  Read accessor for def_kind attribute
  Specified by:
    `def_kind` in interface `IRObjectOperations`
  Returns:
    the attribute value

### destroy

    public void destroy()

  Operation destroy
  Specified by:
    `destroy` in interface `IRObjectOperations`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD